

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Platform Viewpoint &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Service Viewpoint" href="service-viewpoint.html" />
    <link rel="prev" title="Information Security and Data Protection Viewpoint" href="security-viewpoint.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="index.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1"><a class="reference internal" href="requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concept Definitions</a></li>
<li class="toctree-l1"><a class="reference internal" href="organization-viewpoint.html">Organizational Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Platform Viewpoint</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#domains-and-policies">Domains and Policies</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#billing">Billing</a></li>
<li class="toctree-l3"><a class="reference internal" href="#logging-and-auditing">Logging and Auditing</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#identity-and-access-management">Identity and Access Management</a></li>
<li class="toctree-l2"><a class="reference internal" href="#platform-core-services">Platform Core Services</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#service-directory">Service Directory</a></li>
<li class="toctree-l3"><a class="reference internal" href="#service-repository">Service Repository</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#provider-processes">Provider Processes</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#providing-services">Providing Services</a></li>
<li class="toctree-l3"><a class="reference internal" href="#providing-nodes">Providing Nodes</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#consumer-processes">Consumer Processes</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="service-viewpoint.html">Service Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="specification.html">Technical Specification</a></li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Platform Viewpoint</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/platform-viewpoint.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="platform-viewpoint">
<h1>Platform Viewpoint<a class="headerlink" href="#platform-viewpoint" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>Ths chapter takes a top-down view on the platform. Which services are provided platform-wide?
How is access control managed? How are consumers and providers onboarded?</p>
<p>The decisions from this chapter should hold for all services deployed in the platform.</p>
</div>
<div class="section" id="domains-and-policies">
<h2>Domains and Policies<a class="headerlink" href="#domains-and-policies" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Important for the discussion!</strong></p>
<p><strong>Responsible (tentative)</strong>:</p>
<ul class="simple">
<li><p>IAM Working Group</p></li>
</ul>
</div>
<div class="section" id="billing">
<h3>Billing<a class="headerlink" href="#billing" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="logging-and-auditing">
<h3>Logging and Auditing<a class="headerlink" href="#logging-and-auditing" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="identity-and-access-management">
<h2>Identity and Access Management<a class="headerlink" href="#identity-and-access-management" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: IAM Working Group</p>
</div>
</div>
<div class="section" id="platform-core-services">
<h2>Platform Core Services<a class="headerlink" href="#platform-core-services" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Software and Architecture Working Group</p>
</div>
<div class="section" id="service-directory">
<h3>Service Directory<a class="headerlink" href="#service-directory" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="service-repository">
<h3>Service Repository<a class="headerlink" href="#service-repository" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="provider-processes">
<h2>Provider Processes<a class="headerlink" href="#provider-processes" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The provider processes make use of the platform core services.</p>
</div>
<div class="figure align-default" id="id1" style="width: 100%">
<img alt="Register a new provider" src="_images/register-provider.png" />
<p class="caption"><span class="caption-text">Register a new provider</span><a class="headerlink" href="#id1" title="Permalink to this image">¶</a></p>
</div>
<div class="figure align-default" id="id2" style="width: 100%">
<img alt="Deregister a provider" src="_images/deregister-provider.png" />
<p class="caption"><span class="caption-text">Deregister a provider</span><a class="headerlink" href="#id2" title="Permalink to this image">¶</a></p>
</div>
<div class="figure align-default" id="id3" style="width: 100%">
<img alt="Deregister an offering (service/node)" src="_images/deregister-offering.png" />
<p class="caption"><span class="caption-text">Deregister an offering (service/node)</span><a class="headerlink" href="#id3" title="Permalink to this image">¶</a></p>
</div>
<div class="section" id="providing-services">
<h3>Providing Services<a class="headerlink" href="#providing-services" title="Permalink to this headline">¶</a></h3>
<div class="figure align-default" id="id4" style="width: 100%">
<img alt="Registering a new service" src="_images/register-service.png" />
<p class="caption"><span class="caption-text">Registering a new service</span><a class="headerlink" href="#id4" title="Permalink to this image">¶</a></p>
</div>
</div>
<div class="section" id="providing-nodes">
<h3>Providing Nodes<a class="headerlink" href="#providing-nodes" title="Permalink to this headline">¶</a></h3>
<div class="figure align-default" id="id5" style="width: 100%">
<img alt="Archimate view on node management services" src="_images/archimate-node-management.png" />
<p class="caption"><span class="caption-text">Archimate view on node management services</span><a class="headerlink" href="#id5" title="Permalink to this image">¶</a></p>
</div>
<div class="figure align-default" id="id6" style="width: 100%">
<img alt="Register a new node" src="_images/register-node.png" />
<p class="caption"><span class="caption-text">Register a new node</span><a class="headerlink" href="#id6" title="Permalink to this image">¶</a></p>
</div>
</div>
</div>
<div class="section" id="consumer-processes">
<h2>Consumer Processes<a class="headerlink" href="#consumer-processes" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The consumer processes make use of the platform core services.</p>
</div>
<div class="figure align-default" id="id7" style="width: 100%">
<img alt="Register a consumer" src="_images/register-consumer.png" />
<p class="caption"><span class="caption-text">Register a consumer</span><a class="headerlink" href="#id7" title="Permalink to this image">¶</a></p>
</div>
<div class="figure align-default" id="id8" style="width: 100%">
<img alt="Search for nodes and services" src="_images/consumer-query.png" />
<p class="caption"><span class="caption-text">Search for nodes and services</span><a class="headerlink" href="#id8" title="Permalink to this image">¶</a></p>
</div>
<div class="figure align-default" id="id9" style="width: 100%">
<img alt="Consumption of services" src="_images/service-consumption.png" />
<p class="caption"><span class="caption-text">Consumption of services</span><a class="headerlink" href="#id9" title="Permalink to this image">¶</a></p>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="service-viewpoint.html" class="btn btn-neutral float-right" title="Service Viewpoint" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="security-viewpoint.html" class="btn btn-neutral float-left" title="Information Security and Data Protection Viewpoint" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>